"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Determines whether or not the tree currently has any entries
 *
 * @export
 * @template K The type of keys in the tree
 * @template V The type of values in the tree
 * @param {RedBlackTreeStructure<K, V>} tree The input tree
 * @returns {boolean} True if the tree is empty, otherwise false
 */
function isEmpty(tree) {
    return tree._size === 0;
}
exports.isEmpty = isEmpty;
//# sourceMappingURL=isEmpty.js.map