"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internals_1 = require("../internals");
/**
 * Determines whether the input argument is an instance of a Collectable.js RedBlackTree structure.
 *
 * @export
 * @param {RedBlackTreeStructure<K, V>} arg The input value to check
 * @returns {boolean} True if the input value is a RedBlackTree, otherwise false
 */
function isRedBlackTree(arg) {
    return internals_1.isRedBlackTree(arg);
}
exports.isRedBlackTree = isRedBlackTree;
//# sourceMappingURL=isRedBlackTree.js.map