import { isUndefined } from '@collectable/core';
import { size } from './size';
import { iterateFromFirst } from './iterateFromFirst';
const NOMAP = () => { };
export function toArray(arg, tree) {
    var map;
    if (isUndefined(tree)) {
        tree = arg;
        map = NOMAP;
    }
    else {
        map = arg;
    }
    var array = new Array(size(tree));
    var it = iterateFromFirst(tree);
    var i, entry;
    if (map === NOMAP) {
        for (i = 0; i < array.length; i++) {
            array[i] = it.next().value;
        }
    }
    else {
        for (i = 0; i < array.length; i++) {
            entry = it.next().value;
            array[i] = map(entry.value, entry.key, i);
        }
    }
    return array;
}
//# sourceMappingURL=toArray.js.map